TAAS - Bug #444

To connect the Edit, Delete Fields in User Module Privilege to all Modules
12/14/2024 12:07 PM - Arathy PS
Description

History

#1 - 12/14/2024 12:15 PM - Arathy PS

To connect edit, delete features based on the user that is logged in and to block the edit and delete based wh
ether the permission is for to edit or delete their own data or other users data.
Refer : Ancillary service module to see the working correctly

changes In Controller of Save Modules

Refer Changes In Ancilary service

Service Controller--> SaveAncillaryService --> strDocNo, linCreateduserId —-- Pass To fn ——>
fn_check_user_permission

Delete Case

Check Ancillary Service Delete Fn

new line
mdlRegAncillaryServiceBaseIntId.mdlBaseIntId.binCustomValue = this.mdlAncillaryService.binCreatedUserId;

#2 - 12/30/2024 11:09 AM - Arathy PS

- Assignee changed from travvise Admin to Sreeranjini T

#3 - 01/01/2025 10:52 AM - Sreeranjini T
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#4 - 01/29/2025 10:47 AM - Sreeranjini T
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60
